Skip to main content
POST
Withdraw Fund

Headers

X-Platform-ID
string<uuid>
required

Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.

X-Signature
string
required

HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.

Path Parameters

user_id
string<uuid>
required

Unique identifier (UUID) of the user initiating the withdrawal.

Body

application/json
amount
number
required

Amount to withdraw from the wallet

transfer_method
enum<string>
required

Withdrawal method (e.g., CARD, ACH, SAME_DAY_ACH, RTP)

Available options:
bank_withdrawal,
same_day_ach,
rtp,
card_withdrawal
memo
string | null

Optional note or comment for the withdrawal

Maximum string length: 255
payment_descriptor
string | null

Description to be shown in the statement. (Only available for RTP now)

Maximum string length: 50
bank_id
string | null

Bank account ID to withdraw to (if using ACH)

card_id
string | null

Card ID to withdraw to (if using CARD method)

Response

Successful Response

success
boolean
default:true

Indicates whether the request was processed successfully.

Example:

true

message
string
default:Success

A short, human-readable message describing the result of the request.

Example:

"Operation completed."

data
PlatformWithdrawalUserRead · object | null

The main response payload, if applicable

queryGeneratedTime
number | null
default:1783679844.273462

The Unix timestamp (in seconds) indicating when the response was generated.

Example:

1718006400